04-05-13 01:39 PM
31 12
tools
  1. BBB78's Avatar
    Here's my latest build consisting of:

    4.6.1.314
    6.0.0.407
    6.0.0.418

    to be installed over OS 4.5.0.18x

    download it from the download section @ driphter.com:
    Driphter.com - BBB78 version 4 (4.5, 4.6, 6.0)

    This build has been tested on the 8310 and 8100, but should also work on all other devices running OS 4.5 (and even OS 4.6)

    Enjoy!

    For donations click the following link:
    https://www.paypal.com/cgi-bin/websc...=2N2QRUPZ6SBSG
    Last edited by BBB78; 12-22-10 at 05:43 PM.
    bollasdes, diegonei and henderpa like this.
    12-15-10 08:55 PM
  2. step12's Avatar
    So what's the change log?

    Posted from my CrackBerry at wapforums.crackberry.com
    12-16-10 08:10 AM
  3. BBB78's Avatar
    So what's the change log?

    Posted from my CrackBerry at wapforums.crackberry.com
    Increased stability compared to Version 3
    Memory management is great, no leaks (only the usual usage), and a bit more available management (yay more app space)
    Battery management is nice too.
    good overall performance (user interface is good)
    added a couple of OS6 resource files (cryptographic library)
    event log viewer is working.
    12-16-10 06:29 PM
  4. SCrid2000's Avatar
    Thanks for the work man I don't use my 8330m anymore, but if I did I'd be loading this up.
    12-16-10 09:42 PM
  5. MissV84's Avatar
    I will be downloading and trying this out on my blackberry 8100. I've never used a Hybrid OS before, and am in the process of backing up all my data.
    12-17-10 03:01 AM
  6. diegonei's Avatar
    8310 love? Woohooo.
    12-17-10 09:17 AM
  7. henderpa's Avatar
    I upgraded my 8320 from v2 to v4 and it's working great so far! Really snappy and a lot of free memory. Thanks again for the hard work BBB78!

    The only issues I've noticed so far is the About screen not working (but I suspect that's because I removed voice dialing...) and when I try to start Filescout I get an ugly error which says "Error starting com_emacberry_FileScout: Class 'net.rim.device.api.ui.AccessibleContextClass' not found". I haven't seen any references to this in the emacberry.com forums but I'll keep looking.

    Another very nice hybrid!
    Last edited by henderpa; 12-17-10 at 01:06 PM. Reason: Completed the error message
    12-17-10 10:42 AM
  8. MissV84's Avatar
    I am trying to install this again this morning. I tried last night, but nothing happened. I hope that's what is installing now and it's not just the OS I had on already again. We'll see when it is finished.
    12-17-10 11:02 AM
  9. hahree's Avatar
    Can't wait to try. Downloaded for now. Thanks.
    12-17-10 12:32 PM
  10. MissV84's Avatar
    This hybrid works wonderful, and it leads me to wonder why I've never tried a hybrid in the past. Well done.
    12-17-10 04:58 PM
  11. hahree's Avatar
    Hi, yea problem still here for the 8310 (.188 base os). Berry Buzz/Pop and adonis doesn't work. I get a "net.rim.device.api.ui.AccessibleContextClass" not found error when trying to run from the program icons (for pop and buzz).

    None of the programs (including adonis) are listed in options where they usually are. All programs are installed correctly.

    They didn't work in V3 either but do work in V2. Any ideas ?

    Thanks.

    Anyone can suggest an alternative to those programs that works in this hybrid. There are pretty old maybe there are better ones.
    Last edited by hahree; 12-18-10 at 01:10 AM.
    12-18-10 01:00 AM
  12. BBB78's Avatar
    Hi, yea problem still here for the 8310 (.188 base os). Berry Buzz/Pop and adonis doesn't work. I get a "net.rim.device.api.ui.AccessibleContextClass" not found error when trying to run from the program icons (for pop and buzz).

    None of the programs (including adonis) are listed in options where they usually are. All programs are installed correctly.

    They didn't work in V3 either but do work in V2. Any ideas ?

    Thanks.

    Anyone can suggest an alternative to those programs that works in this hybrid. There are pretty old maybe there are better ones.
    Try installing the net_rim_app_manager.cod from version 2 using BBSAK, that should resolve your issue. (it's from OS 4.6.1.314)
    Let me know if you need more support.
    12-18-10 04:18 AM
  13. hahree's Avatar
    Afraid that doesn't work. Any other ideas?
    12-18-10 05:57 AM
  14. BBB78's Avatar
    [bQUOTE=hahree;5876188]Afraid that doesn't work. Any other ideas?[/QUOTE]

    I'll have to do a bit more research on this one. even so adding net_rim_appmanager.cod (4.6.1.314) from version 2 increased my browser speed like crazy, LOL. (in version 3 I had "hourglass" issues with this module, but it seems to work well in this version)
    Last edited by BBB78; 12-18-10 at 08:07 AM.
    12-18-10 06:50 AM
  15. henderpa's Avatar
    I also tried installing the v2 net_rim_app_manager.cod but it didn't help with Filescout either but v4 has still been very stable for me.
    12-18-10 12:14 PM
  16. MissV84's Avatar
    I used the hybrid yesterday, but hadn't tried to send text messages. I have today, and my SureType is gone. It is not even an option anymore under input languages.
    12-18-10 03:48 PM
  17. hahree's Avatar
    I think v3/4 breaks any 3rd party apps that affects system components, like the ones that are run from "Options".

    That's fine, V2 was perfect before. Boots fast and feels just as responsive as v3/4. Although I did notice 3/4 having more free memory on boot.

    Thanks.
    12-18-10 06:36 PM
  18. BBB78's Avatar
    I think v3/4 breaks any 3rd party apps that affects system components, like the ones that are run from "Options".

    That's fine, V2 was perfect before. Boots fast and feels just as responsive as v3/4. Although I did notice 3/4 having more free memory on boot.

    Thanks.
    If you could send me a copy of the event-log (misc options in BBSAK), I could work out what the problem is. if you havent gone back to version 2 yet? It's prob some of the OS6 files (version 2, had more OS5 files)

    EDIT: apparently the problem is with the platform.resources.enUS module, or the runtime_resource module! maybe change those to version 2 files.
    Last edited by BBB78; 12-18-10 at 08:20 PM.
    12-18-10 08:04 PM
  19. BBB78's Avatar
    I used the hybrid yesterday, but hadn't tried to send text messages. I have today, and my SureType is gone. It is not even an option anymore under input languages.
    that would be frustrating, I'll try and get a patch (fix) for you as soon as I can.
    12-18-10 10:18 PM
  20. henderpa's Avatar
    I backrevved my BB with the v2 versions of net_rim_platform_resource__en_US.cod and net_rim_runtime_resource.cod but it didn't help.

    Here the relevant portion from the log:

    #BlackBerry Event Log (cpt)
    #HwID: 0x84000f03
    #DPIN: 0x2425ec4b
    #PVer: 2.7.0.110
    #AVer: 4.5.0.188
    a net.rim.otasync - AG,-CPT - 12/18 22:32:30
    a net.rim.gme - RXCo - 12/18 22:32:28
    a net.rim.hrtRT - CFin - 12/18 22:32:28
    a net.rim.tunnel - STac-MagicRudyAPN.rim - 12/18 22:32:28
    a net.rim.tunnel - Open-MagicRudyAPN.rim - 12/18 22:32:28
    a net.rim.hrtRT - XSys - 12/18 22:32:28
    a net.rim.tunnel - Clos-blackberry.net - 12/18 22:32:28
    a net.rim.tcp - open - 12/18 22:32:28
    a net.rim.hrtRT - CClG 0x1 - 12/18 22:32:28
    a net.rim.srp - DaAv - 12/18 22:32:28
    a net.rim.gcmp - GCNr - 12/18 22:32:28
    a net.rim.hrtRT - EHr! - 12/18 22:32:28
    a net.rim.srp - Wlan - 12/18 22:32:28
    a net.rim.hrtRT - EHr* - 12/18 22:32:28
    a net.rim.srp - HriK - 12/18 22:32:28
    a net.rim.hrtRT - ERRs 0x21 - 12/18 22:32:28
    a net.rim.srp - INcn - 12/18 22:32:28
    a net.rim.srp - HriC - 12/18 22:32:28
    a net.rim.srp - HriI - 12/18 22:32:28
    a net.rim.srp - CNcn - 12/18 22:32:27
    a net.rim.hrtRT - XV5i 0x20 - 12/18 22:32:25
    a net.rim.tunnel - STac-blackberry.net - 12/18 22:32:25
    a net.rim.tunnel - Open-blackberry.net - 12/18 22:32:25
    a net.rim.hrtRT - ETot - 12/18 22:32:25
    a net.rim.otasync - AG,SUID=S43775955,USID=739,STY=3,-SESS,SID=2091839244,CLID=158,SST=5 - 12/18 22:32:25
    a net.rim.gme - RXCo - 12/18 22:32:20
    a net.rim.otasync - TP,Rx,SZ=7,USID=739,TID=8350195,SID=2091839244,SEQ =1,LSEQ=1 - 12/18 22:32:15
    a net.rim.otasync - AG,SUID=S43775955,USID=739,STY=3,+SESS,SID=2091839 244,CLID=158,TIM=20 - 12/18 22:32:14
    a net.rim.otasync - RXCd 8350195 - 12/18 22:32:14
    S Java Exception - RuntimeException - 12/18 22:32:12
    | Error starting com_emacberry_FileScout: Class 'net.rim.device.api.ui.AccessibleContextClass' not found.
    | net_rim_bb_framework_api
    | ApplicationEntryPoint
    | run
    | 0x43E
    | net_rim_bb_ribbon_app-1
    | ApplicationEntry
    | invoke
    | 0x953
    | net_rim_bb_ribbon_app
    | RibbonLauncherImpl
    | <private>
    | 0x5692
    | net_rim_bb_ribbon_app
    | RibbonLauncherImpl
    | launch
    | 0x445F
    | net_rim_bb_ribbon_app
    | ApplicationMenu
    | trackwheelClick
    | 0x462
    | net_rim_bb_ribbon_app
    | ApplicationMenu
    | navigationClick
    | 0x480
    | net_rim_cldc-8
    | Screen
    | dispatchNavigationEvent
    | 0x488C
    | net_rim_cldc-8
    | UiEngineImpl
    | processMessage
    | 0x980A
    | net_rim_cldc-5
    | Application
    | processNextMessage
    | 0x1392
    | net_rim_cldc-5
    | Application
    | enterEventDispatcher
    | 0xA51
    | net_rim_bb_ribbon_app
    | RibbonLauncherApp
    | main
    | 0x4044
    a System - Error starting com_emacberry_FileScout: Class 'net.rim.device.api.ui.AccessibleContextClass' not found. - 12/18 22:32:12
    a System - Linker error: 'VerifyError' for com_emacberry_FileScout - 12/18 22:32:11
    a System - Class 'net.rim.device.api.ui.AccessibleContextClass' not found. - 12/18 22:32:11
    a System - Linker error: 'VerifyError' for net_rim_bbapi_options - 12/18 22:32:11
    a System - Class 'net.rim.device.api.ui.AccessibleContextClass' not found. - 12/18 22:32:11
    a System - VM:LINK net_rim_bbapi_options - 12/18 22:32:11
    a System - CMM: com_emacberry_FileScout(4906) no sig from 0x33 - 12/18 22:32:11
    a System - CMM: com_emacberry_FileScout(4906) no sig from 0x33 - 12/18 22:32:11
    W net.rim.mdp - TNda - 12/18 22:32:08
    a UI - GS-D 90d1a93a - 12/18 22:32:03
    W net.rim.mdp - TNda - 12/18 22:32:02
    a net.rim.deviceagent - SDbP - 12/18 22:32:02
    a net.rim.hrtRT - XSys - 12/18 22:31:56
    a net.rim.gcmp - GCNr - 12/18 22:31:56
    a net.rim.hrtRT - ETot - 12/18 22:31:56
    a net.rim.otasync - TXst 96330345 - 12/18 22:31:55
    a net.rim.otasync - TP,Tx,SZ=355,USID=739,TID=0,SID=2091839244,CLID=15 8,ECLID=5,SEQ=2,LSEQ=2 - 12/18 22:31:55
    a net.rim.otasync - TXst 96330344 - 12/18 22:31:52
    a net.rim.otasync - TP,Tx,SZ=30330,USID=739,TID=0,SID=2091839244,CLID= 158,ECLID=5,SEQ=1,LSEQ=2 - 12/18 22:31:52
    a net.rim.hrtRT - ESbk 0x0 - 12/18 22:31:51
    12-18-10 10:46 PM
  21. BBB78's Avatar
    looks like net.rim.bbapi.options is the issue, try installing the module that can be found in version 2 ( babapi.options from OS 5.0.0.977). Let me know how you go.
    12-19-10 01:46 AM
  22. MissV84's Avatar
    that would be frustrating, I'll try and get a patch (fix) for you as soon as I can.
    Thanks for having a look. I wouldn't even know where to start, since I've never used a hybrid OS so wouldn't know where to look in the coding.
    12-19-10 01:14 PM
  23. BBB78's Avatar
    Thanks for having a look. I wouldn't even know where to start, since I've never used a hybrid OS so wouldn't know where to look in the coding.
    Have you checked this: your settings might be set to Multitap.
    Go to the main applications view on the Pearl.
    Choose Options, Scroll down to Language and click the trackball.
    Under "Input Language" you want to either select your language with Multitap (to enable Multitap) or without (which puts you into SureType mode). Select English (United States) to get SureType.
    Now just click the menu button and select Save.

    let me know how you go.
    12-19-10 06:12 PM
  24. MissV84's Avatar
    Have you checked this: your settings might be set to Multitap.
    Go to the main applications view on the Pearl.
    Choose Options, Scroll down to Language and click the trackball.
    Under "Input Language" you want to either select your language with Multitap (to enable Multitap) or without (which puts you into SureType mode). Select English (United States) to get SureType.
    Now just click the menu button and select Save.

    let me know how you go.
    My language settings are 'English (United States)'. I do not have the choice under languages for 'with Multitap'. Yet when I click, say the H button, I have to hit it twice to get to the H, also, as I'm typing the words, suggestions don't come up like they used too.
    12-20-10 10:21 PM
  25. BBB78's Avatar
    My language settings are 'English (United States)'. I do not have the choice under languages for 'with Multitap'. Yet when I click, say the H button, I have to hit it twice to get to the H, also, as I'm typing the words, suggestions don't come up like they used too.
    which OS version are you running on your pearl? (4.5.0.18?)
    I havent got a problem with suretype on my 8100, but I did manage to find a couple of errors in the event log that I fixed up. I'll be posting a sepparate version 4.1 for the pearl soon. hopefully that will rectify your suretype issue. (my apologies for the inconvenience, and thank you for your feedback, I appreciate it)
    12-21-10 07:53 AM
31 12
LINK TO POST COPIED TO CLIPBOARD